Skip to main content
POST
/
content
/
{id}
/
generate
Regenerate content
curl --request POST \
  --url https://api.app.hrizn.io/v1/public/content/{id}/generate \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: <api-key>' \
  --data '
{
  "brand_voice_id": "<string>",
  "title": "<string>",
  "content_length": 2600
}
'
import requests

url = "https://api.app.hrizn.io/v1/public/content/{id}/generate"

payload = {
    "brand_voice_id": "<string>",
    "title": "<string>",
    "content_length": 2600
}
headers = {
    "X-API-Key": "<api-key>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
  body: JSON.stringify({brand_voice_id: '<string>', title: '<string>', content_length: 2600})
};

fetch('https://api.app.hrizn.io/v1/public/content/{id}/generate', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
const options = {
  method: 'POST',
  headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
  body: JSON.stringify({brand_voice_id: '<string>', title: '<string>', content_length: 2600})
};

fetch('https://api.app.hrizn.io/v1/public/content/{id}/generate', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
<?php

$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://api.app.hrizn.io/v1/public/content/{id}/generate",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "POST",
  CURLOPT_POSTFIELDS => json_encode([
    'brand_voice_id' => '<string>',
    'title' => '<string>',
    'content_length' => 2600
  ]),
  CURLOPT_HTTPHEADER => [
    "Content-Type: application/json",
    "X-API-Key: <api-key>"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
{
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "status": "generating",
    "message": "<string>"
  }
}
{
  "error": {
    "code": "validation_error",
    "message": "keyword: Required",
    "details": {},
    "request_id": "<string>"
  }
}
{
  "error": {
    "code": "validation_error",
    "message": "keyword: Required",
    "details": {},
    "request_id": "<string>"
  }
}
{
  "error": {
    "code": "validation_error",
    "message": "keyword: Required",
    "details": {},
    "request_id": "<string>"
  }
}
{
  "error": {
    "code": "validation_error",
    "message": "keyword: Required",
    "details": {},
    "request_id": "<string>"
  }
}
{
  "error": {
    "code": "validation_error",
    "message": "keyword: Required",
    "details": {},
    "request_id": "<string>"
  }
}

Authorizations

X-API-Key
string
header
required

Your Hrizn API key (prefix hzk_)

Path Parameters

id
string<uuid>
required

Content ID

Body

application/json
brand_voice_id
string
title
string
Maximum string length: 500
language
enum<string>

Language for generated content. Overrides the language stored on the content item.

Available options:
English,
Spanish,
Mandarin Chinese,
Japanese,
Korean,
Arabic,
Farsi,
Hebrew,
French,
Tagalog,
Vietnamese,
Portuguese,
Russian
content_length
integer
deprecated

Deprecated. Article length is now driven by content_depth; this field is accepted for backward compatibility but has no effect.

Required range: 200 <= x <= 5000
content_depth
enum<string>

Content depth preset that drives the article body. Defaults to balanced. Replaces the legacy content_length field.

Available options:
concise,
steady,
balanced,
substantial,
in-depth

Response

Generation started

data
object
Last modified on June 30, 2026